net.sf.jasperreports.compilers

## Class JavaScriptEvaluatorScope

- java.lang.Object
- - net.sf.jasperreports.compilers.JavaScriptEvaluatorScope

-     public class JavaScriptEvaluatorScope
      extends java.lang.Object

  Version:
    $Id: JavaScriptEvaluatorScope.java 6919 2014-02-21 16:14:20Z lucianc $
  Author:
    Lucian Chirita (lucianc@users.sourceforge.net)

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `JavaScriptEvaluatorScope.JSField` Field class used in JavaScript expressions.
    `static class` | `JavaScriptEvaluatorScope.JSParameter` Parameter class used in JavaScript expressions.
    `static class` | `JavaScriptEvaluatorScope.JSValue` Base JavaScript value class.
    `static class` | `JavaScriptEvaluatorScope.JSVariable` Variable class used in JavaScript expressions.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static java.lang.String` | `EVALUATOR_VAR`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JavaScriptEvaluatorScope(JasperReportsContext jrContext, JREvaluator evaluator, FunctionsUtil functionsUtil)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `ensureContext()`
    `protected static org.mozilla.javascript.Context` | `enter(org.mozilla.javascript.Context context)`
    `java.lang.Object` | `evaluateExpression(org.mozilla.javascript.Script expression)`
    `java.lang.Object` | `evaluateExpression(java.lang.String expression)`
    `protected org.mozilla.javascript.Script` | `getCompiledExpression(java.lang.String expression)`
    `void` | `init(java.util.Map<java.lang.String,JRFillParameter> parametersMap, java.util.Map<java.lang.String,JRFillField> fieldsMap, java.util.Map<java.lang.String,JRFillVariable> variablesMap)`
    `void` | `setScopeVariable(java.lang.String name, java.lang.Object value)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### EVALUATOR_VAR

          protected static final java.lang.String EVALUATOR_VAR

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### JavaScriptEvaluatorScope

          public JavaScriptEvaluatorScope(JasperReportsContext jrContext,
                                  JREvaluator evaluator,
                                  FunctionsUtil functionsUtil)

  - ### Method Detail

    - #### init

          public void init(java.util.Map<java.lang.String,JRFillParameter> parametersMap,
                  java.util.Map<java.lang.String,JRFillField> fieldsMap,
                  java.util.Map<java.lang.String,JRFillVariable> variablesMap)

    - #### ensureContext

          protected void ensureContext()

    - #### evaluateExpression

          public java.lang.Object evaluateExpression(org.mozilla.javascript.Script expression)

    - #### evaluateExpression

          public java.lang.Object evaluateExpression(java.lang.String expression)

    - #### setScopeVariable

          public void setScopeVariable(java.lang.String name,
                              java.lang.Object value)

    - #### getCompiledExpression

          protected org.mozilla.javascript.Script getCompiledExpression(java.lang.String expression)

    - #### enter

          protected static org.mozilla.javascript.Context enter(org.mozilla.javascript.Context context)

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com